## Быстрое создание приложения на базе LizardEngine

Для быстрого создания базового приложения воспользуйтесь [генератором](https://github.com/PoluosmakAndrew/generator-lizard-engine) на базе [Yeoman](http://yeoman.io/)

### Требования

[Node.js](https://nodejs.org/download/) 0.10+ и [MongoDB](http://www.mongodb.org/downloads) v2.4+

### Установка генератора

```
$   npm install -g generator-lizard-engine
```

### Выбор директории и запуск генератора

Перейдите в директорию, в которой будет создан новый проект и выполните команду

```
$   yo lizard-engine
```

следуйте инструкциям.

### Готово

Поздравляю! Ваше базовое приложение готово. Ознакомьтесь с архитектурой приложения и документация по написанию модулей.

С помощью генератора вы сможете создать не только базовое приложение, но и сгенерировать:

* модули
* контроллеры
* модели
* компоненты
* плагины

Полный список команд доступен на [странице проекта](https://github.com/PoluosmakAndrew/generator-lizard-engine)

## Документация

* **Быстрый старт**
* [Архитектура приложения](https://github.com/PoluosmakAndrew/lizard-engine/blob/master/docs/architecture.md)
* **Структура Модуля:**
    * [роутинг](https://github.com/PoluosmakAndrew/lizard-engine/blob/master/docs/module_routing.md)
    * [контроллеры](https://github.com/PoluosmakAndrew/lizard-engine/blob/master/docs/module_controller.md)
    * [компоненты](https://github.com/PoluosmakAndrew/lizard-engine/blob/master/docs/module_component.md)
    * [модель](https://github.com/PoluosmakAndrew/lizard-engine/blob/master/docs/module_model.md)
    * [шаблоны](https://github.com/PoluosmakAndrew/lizard-engine/blob/master/docs/module_template.md)
* [Плагины](https://github.com/PoluosmakAndrew/lizard-engine/blob/master/docs/plugins.md)